Cond::destroy
Cond::wait
Cond
PHP Manual

# Cond::signal

(PECL pthreads >= 0.34)

Cond::signal — Signal a Condition

### Description

final public static boolean Cond::signal ( long `$condition` )

### Parameters

`condition`

  A handle returned by a previous call to Cond::create()

### Return Values

A boolean indication of success.

### Examples

Example #1 Condition Signalling

`<?php
/** You cannot use the "new" keyword, a Cond is not a PHP object **/
$cond = Cond::create();
/** The caller must lock the associated Mutex before a call to broadcast **/
var_dump(Cond::signal($cond));
/** Always destroy Cond you have created **/
Cond::destroy($cond);
?>`

The above example will output:

    bool(true)

Cond::destroy
Cond::wait
Cond
PHP Manual